## libkf5incidenceeditor 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(incidenceeditor VERSION ${PIM_VERSION})

set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)



set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
set(AKONADI_MIMELIB_VERSION "5.9.3")
set(KDEPIM_LIB_VERSION "5.9.3")
set(QT_REQUIRED_VERSION "5.9.0")
set(KMIME_LIB_VERSION "5.9.3")
set(KMAILTRANSPORT_LIB_VERSION "5.9.3")
set(KLDAP_LIB_VERSION "5.9.3")
set(CALENDARUTILS_LIB_VERSION "5.9.3")
set(KCALENDARCORE_LIB_VERSION "5.9.3")
set(CALENDARSUPPORT_LIB_VERSION "5.9.3")
set(LIBKDEPIM_LIB_VERSION "5.9.3")
set(EVENTVIEW_LIB_VERSION "5.9.3")
set(AKONADI_VERSION "5.9.3")


set(KDIAGRAM_LIB_VERSION "1.4.0")
find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)

find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KdepimDBusInterfaces ${KDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX INCIDENCEEDITOR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/incidenceeditor_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5IncidenceEditorConfigVersion.cmake"
                        SOVERSION 5
)

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)


# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-enterprise.h )

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IncidenceEditor")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5IncidenceEditorConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IncidenceEditorConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IncidenceEditorConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IncidenceEditorConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5IncidenceEditorTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5IncidenceEditorTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/incidenceeditor_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

install( FILES incidenceeditor.categories incidenceeditor.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )

add_subdirectory(src)
if (BUILD_TESTING)
   find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)

   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()

ki18n_install(po)

=== debian/changelog ===
libkf5incidenceeditor (18.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Fri, 15 Feb 2019 14:37:44 +0100

libkf5incidenceeditor (18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:08:04 +0100

libkf5incidenceeditor (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:04:14 +0100

libkf5incidenceeditor (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:21:16 +0200

libkf5incidenceeditor (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * Remove not needed upstream patch.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Mon, 20 Aug 2018 15:32:40 +0200

libkf5incidenceeditor (17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit dfa3162c737084f58796dafd1ee58302c212670f to fix
    build with Qt 5.11; patch
    upstream_Fix-build-with-Qt-5.11-caused-by-deprecated-QFontMet.patch.
  * Bump Standards-Version to 4.1.5, no changes required.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jul 2018 22:50:34 +0200

libkf5incidenceeditor (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 17.12.2
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:27:21 +0200

libkf5incidenceeditor (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * remove patches, as they are not needed anymore.
  * Enable build tests (make them non-failing).
  * Use DebianABIManager to handle libkf5incidenceeditor propperly.
  * Add new package libkf5incidenceeditor-data, to split arch
    independent stuff like translation etc.
  * Update library from libkf5incidenceeditor5 ->
    libkf5incidenceeditor5abi1, because of ABI breakage.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:28 +0100

libkf5incidenceeditor (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:59:30 +0100

libkf5incidenceeditor (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:09:49 +0200

libkf5incidenceeditor (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:56 +0000

libkf5incidenceeditor (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:27 +0000

libkf5incidenceeditor (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:22 +0000

libkf5incidenceeditor (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:09:53 +0000

libkf5incidenceeditor (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 21:56:26 +0000

libkf5incidenceeditor (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:55 +0000

libkf5incidenceeditor (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:20 +0000

libkf5incidenceeditor (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:14:46 +0000

libkf5incidenceeditor (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:24:28 +0000

libkf5incidenceeditor (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:02 +0000

libkf5incidenceeditor (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:44 +0000

libkf5incidenceeditor (16.08.1-1~1.gbpbdd8fe) UNRELEASED; urgency=medium

  ** SNAPSHOT build @bdd8fee3da20e638168e923d2da2dc15d5757fca **

  * Update symbols files from buildds logs (16.04.2-2).
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake



=== debian/control ===
Source: libkf5incidenceeditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5akonadi-dev (>= 4:18.08.3~),
               libkf5akonadimime-dev (>= 4:18.08.3~),
               libkf5calendarcore-dev (>= 4:18.08.3~),
               libkf5calendarsupport-dev (>= 4:18.08.3~),
               libkf5calendarutils-dev (>= 4:18.08.3~),
               libkf5codecs-dev (>= 5.47.0~),
               libkf5eventviews-dev (>= 4:18.08.3~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:18.08.3~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5ldap-dev (>= 18.08.3~),
               libkf5libkdepim-dev (>= 4:18.08.3~),
               libkf5mailtransport-dev (>= 18.08.3~),
               libkf5mime-dev (>= 18.08.3~),
               libkgantt-dev (>= 1.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor.git

Package: libkf5incidenceeditor-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 17.08), kmail (<< 4:17.08), korganizer (<< 4:17.08)
Replaces: korganizer (<= 4:16.04)
Description: KDE PIM incidence editor
 Incidence editor for KDE PIM.
 .
 This package provides the runtime programs shipped with the library.

Package: libkf5incidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5incidenceeditor5, ${kde-l10n:all}
Replaces: libkf5incidenceeditor5, ${kde-l10n:all}
Description: KDE PIM incidence editor - shared data
 Incidence editor for KDE PIM.
 .
 This package provides the shared data shipped with the library.

Package: libkf5incidenceeditor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.3~),
         libkf5akonadicalendar-dev (>= 4:17.08~),
         libkf5calendarcore-dev (>= 4:18.08.3~),
         libkf5eventviews-dev (>= 4:18.08.3~),
         libkf5incidenceeditor5abi1 (= ${binary:Version}),
         libkf5mailtransport-dev (>= 18.08.3~),
         libkf5mime-dev (>= 18.08.3~),
         libkgantt-dev (>= 1.4.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - devel files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkf5incidenceeditor5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5IncidenceEditor
Architecture: any
Multi-Arch: same
Depends: libkf5incidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-addons (<< 17.08), kmail (<< 4:17.08), korganizer (<< 4:17.08)
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	- xvfb-run -- \
	           dh_auto_test --no-parallel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/incidenceeditor-([\d.]+).tar.xz

## libkf5incidenceeditor 18.08.3.1

=== debian/changelog ===
libkf5incidenceeditor (18.08.3.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 19:39:53 +0800

## libkf5incidenceeditor 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.9.3")
+set(PIM_VERSION "5.10.3")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.47.0")
+set(KF5_VERSION "5.51.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -15,7 +15,7 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(CMakePackageConfigHelpers)
+
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
@@ -23,23 +23,23 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
-include(ECMCoverageOption)
+
 
 
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.9.3")
-set(KDEPIM_LIB_VERSION "5.9.3")
+set(AKONADI_MIMELIB_VERSION "5.10.3")
+set(KDEPIM_LIB_VERSION "5.10.3")
 set(QT_REQUIRED_VERSION "5.9.0")
-set(KMIME_LIB_VERSION "5.9.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.9.3")
-set(KLDAP_LIB_VERSION "5.9.3")
-set(CALENDARUTILS_LIB_VERSION "5.9.3")
-set(KCALENDARCORE_LIB_VERSION "5.9.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.9.3")
-set(LIBKDEPIM_LIB_VERSION "5.9.3")
-set(EVENTVIEW_LIB_VERSION "5.9.3")
-set(AKONADI_VERSION "5.9.3")
+set(KMIME_LIB_VERSION "5.10.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.10.3")
+set(KLDAP_LIB_VERSION "5.10.3")
+set(CALENDARUTILS_LIB_VERSION "5.10.3")
+set(KCALENDARCORE_LIB_VERSION "5.10.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.10.3")
+set(LIBKDEPIM_LIB_VERSION "5.10.3")
+set(EVENTVIEW_LIB_VERSION "5.10.3")
+set(AKONADI_VERSION "5.10.3")
 
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
@@ -77,10 +77,8 @@
 
 ########### Targets ###########
 
-add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IncidenceEditor")

=== debian/changelog ===
libkf5incidenceeditor (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:44:38 +0100

libkf5incidenceeditor (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:04:19 +0000

libkf5incidenceeditor (18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 18:54:11 +0000

=== debian/control ===
Source: libkf5incidenceeditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadimime-dev (>= 4:18.12.3~),
               libkf5calendarcore-dev (>= 4:18.12.3~),
               libkf5calendarsupport-dev (>= 4:18.12.3~),
               libkf5calendarutils-dev (>= 4:18.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5eventviews-dev (>= 4:18.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:18.12.3~),
               libkf5ldap-dev (>= 18.12.3~),
               libkf5libkdepim-dev (>= 4:18.12.3~),
               libkf5mailtransport-dev (>= 18.12.3~),
               libkf5mime-dev (>= 18.12.3~),
               libkgantt-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor

Package: libkf5incidenceeditor5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5IncidenceEditor
Architecture: any
Multi-Arch: same
Depends: libkf5incidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared libraries.

Package: libkf5incidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM incidence editor - data files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared libraries.

Package: libkf5incidenceeditor-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: korganizer (<= 4:16.04)
Replaces: korganizer (<= 4:16.04)
Description: KDE PIM incidence editor
 Incidence editor for KDE PIM.
 .
 This package provides the runtime programs shipped with the library.

Package: libkf5incidenceeditor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5akonadicalendar-dev (>= 4:18.12.3~),
         libkf5calendarcore-dev (>= 4:18.12.3~),
         libkf5identitymanagement-dev (>= 18.12.3~),
         libkf5incidenceeditor5abi2 (= ${binary:Version}),
         libkf5mailtransport-dev (>= 18.12.3~),
         libkf5mime-dev (>= 18.12.3~),
         libkgantt-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - devel files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

## libkf5incidenceeditor 19.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.10.3")
+cmake_minimum_required(VERSION 3.5)
+set(PIM_VERSION "5.11.3")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.51.0")
+set(KF5_MIN_VERSION "5.56.0")
 
-find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
+find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(LIBRARY_NAMELINK)
 if (POLICY CMP0053)
@@ -28,18 +28,18 @@
 
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.10.3")
-set(KDEPIM_LIB_VERSION "5.10.3")
-set(QT_REQUIRED_VERSION "5.9.0")
-set(KMIME_LIB_VERSION "5.10.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.10.3")
-set(KLDAP_LIB_VERSION "5.10.3")
-set(CALENDARUTILS_LIB_VERSION "5.10.3")
-set(KCALENDARCORE_LIB_VERSION "5.10.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.10.3")
-set(LIBKDEPIM_LIB_VERSION "5.10.3")
-set(EVENTVIEW_LIB_VERSION "5.10.3")
-set(AKONADI_VERSION "5.10.3")
+set(AKONADI_MIMELIB_VERSION "5.11.3")
+set(KDEPIM_LIB_VERSION "5.11.3")
+set(QT_REQUIRED_VERSION "5.10.0")
+set(KMIME_LIB_VERSION "5.11.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.11.3")
+set(KLDAP_LIB_VERSION "5.11.3")
+set(CALENDARUTILS_LIB_VERSION "5.11.3")
+set(KCALENDARCORE_LIB_VERSION "5.11.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.11.3")
+set(LIBKDEPIM_LIB_VERSION "5.11.3")
+set(EVENTVIEW_LIB_VERSION "5.11.3")
+set(AKONADI_VERSION "5.11.3")
 
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
@@ -47,14 +47,14 @@
 
 find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
-find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
 
 find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
@@ -78,7 +78,12 @@
 ########### Targets ###########
 
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
+if (${Qt5Widgets_VERSION} STRGREATER "5.13")
+   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
+else()
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+endif()
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IncidenceEditor")
 
@@ -102,9 +107,11 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
 install( FILES incidenceeditor.categories incidenceeditor.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )
+if (${KF5Config_VERSION} STRGREATER "5.56.0")
+        add_definitions(-DQT_NO_FOREACH)
+        MESSAGE(STATUS "compile without foreach")
+endif()
 
 add_subdirectory(src)
 if (BUILD_TESTING)
@@ -114,4 +121,5 @@
    add_subdirectory(tests)
 endif()
 
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== debian/changelog ===
libkf5incidenceeditor (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:53:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5calendarsupport-dev (>= 4:18.12.3~),
-               libkf5calendarutils-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5calendarsupport-dev (>= 4:19.04.3~),
+               libkf5calendarutils-dev (>= 4:19.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
-               libkf5eventviews-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5eventviews-dev (>= 4:19.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:18.12.3~),
-               libkf5ldap-dev (>= 18.12.3~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5mailtransport-dev (>= 18.12.3~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5kdepimdbusinterfaces-dev (>= 4:19.04.3~),
+               libkf5ldap-dev (>= 19.04.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5mailtransport-dev (>= 19.04.3~),
+               libkf5mime-dev (>= 19.04.3~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -66,13 +66,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
-         libkf5akonadicalendar-dev (>= 4:18.12.3~),
-         libkf5calendarcore-dev (>= 4:18.12.3~),
-         libkf5identitymanagement-dev (>= 18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
+         libkf5akonadicalendar-dev (>= 4:19.04.3~),
+         libkf5calendarcore-dev (>= 4:19.04.3~),
+         libkf5identitymanagement-dev (>= 19.04.3~),
          libkf5incidenceeditor5abi2 (= ${binary:Version}),
-         libkf5mailtransport-dev (>= 18.12.3~),
-         libkf5mime-dev (>= 18.12.3~),
+         libkf5mailtransport-dev (>= 19.04.3~),
+         libkf5mime-dev (>= 19.04.3~),
          libkgantt-dev,
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5incidenceeditor 19.08.3

=== debian/changelog ===
libkf5incidenceeditor (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:56:06 +0100

libkf5incidenceeditor (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Remove breaks against kde-l10n packages.
  * Move incidenceeditor.categories files from libkf5incidenceeditor-bin
    -> libkf5incidenceeditor-data.
  * Update install files for new upstream release.
  * Remove not needed dependency for libkf5incidenceeditor-dev.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:42:22 +0100

libkf5incidenceeditor (18.08.3-5) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:54:44 +0100

libkf5incidenceeditor (18.08.3-4) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:45:23 +0200

=== debian/control ===
Source: libkf5incidenceeditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadimime-dev (>= 4:19.08.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5eventviews-dev (>= 4:19.08.3~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:19.08.3~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5ldap-dev (>= 19.08.3~),
               libkf5libkdepim-dev (>= 4:19.08.3~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5mime-dev (>= 19.08.3~),
               libkgantt-dev (>= 1.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor.git

Package: libkf5incidenceeditor-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5incidenceeditor-data (<< 19.08.2-1~)
Description: KDE PIM incidence editor
 Incidence editor for KDE PIM.
 .
 This package provides the runtime programs shipped with the library.

Package: libkf5incidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5incidenceeditor-bin (<< 19.08.2-1~)
Replaces: libkf5incidenceeditor-bin (<< 19.08.2-1~)
Description: KDE PIM incidence editor - shared data
 Incidence editor for KDE PIM.
 .
 This package provides the shared data shipped with the library.

Package: libkf5incidenceeditor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5eventviews-dev (>= 4:19.08.3~),
         libkf5incidenceeditor5abi1 (= ${binary:Version}),
         libkf5mailtransport-dev (>= 19.08.3~),
         libkf5mime-dev (>= 19.08.3~),
         libkgantt-dev (>= 1.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM incidence editor - devel files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkf5incidenceeditor5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5IncidenceEditor
Architecture: any
Multi-Arch: same
Depends: libkf5incidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared libraries.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	- xvfb-run -- \
	           dh_auto_test --no-parallel

## libkf5incidenceeditor 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.11.3")
+set(PIM_VERSION "5.13.3")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.56.0")
+set(KF5_MIN_VERSION "5.63.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -11,6 +11,11 @@
 if (POLICY CMP0053)
     cmake_policy(SET CMP0053 NEW)
 endif()
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
@@ -18,9 +23,6 @@
 
 include(ECMSetupVersion)
 include(FeatureSummary)
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 
@@ -28,19 +30,18 @@
 
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.11.3")
-set(KDEPIM_LIB_VERSION "5.11.3")
-set(QT_REQUIRED_VERSION "5.10.0")
-set(KMIME_LIB_VERSION "5.11.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.11.3")
-set(KLDAP_LIB_VERSION "5.11.3")
-set(CALENDARUTILS_LIB_VERSION "5.11.3")
-set(KCALENDARCORE_LIB_VERSION "5.11.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.11.3")
-set(LIBKDEPIM_LIB_VERSION "5.11.3")
-set(EVENTVIEW_LIB_VERSION "5.11.3")
-set(AKONADI_VERSION "5.11.3")
-
+set(AKONADI_MIMELIB_VERSION "5.13.3")
+set(KDEPIM_LIB_VERSION "5.13.3")
+set(QT_REQUIRED_VERSION "5.11.0")
+set(KMIME_LIB_VERSION "5.13.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
+set(KLDAP_LIB_VERSION "5.13.3")
+set(CALENDARUTILS_LIB_VERSION "5.13.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.13.3")
+set(LIBKDEPIM_LIB_VERSION "5.13.3")
+set(EVENTVIEW_LIB_VERSION "5.13.3")
+set(AKONADI_VERSION "5.13.3")
+set(AKONADICONTACT_LIB_VERSION "5.13.3")
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
 find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
@@ -60,8 +61,9 @@
 find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5KdepimDBusInterfaces ${KDEPIM_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX INCIDENCEEDITOR
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/incidenceeditor_version.h"
@@ -78,12 +80,11 @@
 ########### Targets ###########
 
 
-# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
-if (${Qt5Widgets_VERSION} STRGREATER "5.13")
-   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
-else()
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
 endif()
+
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IncidenceEditor")
 
@@ -107,12 +108,9 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
-install( FILES incidenceeditor.categories incidenceeditor.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )
-if (${KF5Config_VERSION} STRGREATER "5.56.0")
-        add_definitions(-DQT_NO_FOREACH)
-        MESSAGE(STATUS "compile without foreach")
-endif()
-
+install(FILES incidenceeditor.categories incidenceeditor.renamecategories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+add_definitions(-DQT_NO_FOREACH)
+set(CMAKE_CXX_STANDARD 14)
 add_subdirectory(src)
 if (BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)

=== src/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"libincidenceeditors\")

set(incidenceeditors_ng_shared_LIB_SRCS
  attachmenteditdialog.cpp
  attachmenticonview.cpp
  attendeedata.cpp
  attendeeline.cpp
  attendeecomboboxdelegate.cpp
  attendeelineeditdelegate.cpp
  attendeetablemodel.cpp
  attendeeeditor.cpp

  alarmpresets.cpp
  alarmdialog.cpp
  incidenceeditorsettings.cpp

  ktimezonecombobox.cpp

  # TODO: Move the next two to akonadi libs when finished
  editoritemmanager.cpp

  freebusyurldialog.cpp

  # Shared incidence editors code
  combinedincidenceeditor.cpp
  incidenceeditor.cpp

  # Specific editors
  incidencealarm.cpp
  incidenceattachment.cpp
  incidenceattendee.cpp
  incidencecategories.cpp
  incidencecompletionpriority.cpp
  incidencedescription.cpp
  incidencewhatwhere.cpp
  incidencedatetime.cpp
  incidencerecurrence.cpp
  incidenceresource.cpp
  incidencesecrecy.cpp

  freebusyganttproxymodel.cpp
  conflictresolver.cpp
  schedulingdialog.cpp
  groupwareuidelegate.cpp

  incidencedefaults.cpp
  editorconfig.cpp
  korganizereditorconfig.cpp

  autochecktreewidget.cpp
  categoryeditdialog.cpp
  categoryselectdialog.cpp
  categorydialog.cpp

  # Individual mail
  individualmailcomponentfactory.cpp
  individualmaildialog.cpp
  opencomposerjob.cpp

  # Resourcemanagement
  ldaputils.cpp
  resourcemanagement.cpp
  resourceitem.cpp
  resourcemodel.cpp
)
qt5_add_resources(incidenceeditors_ng_shared_LIB_SRCS incidenceeditor.qrc)
ecm_qt_declare_logging_category(incidenceeditors_ng_shared_LIB_SRCS HEADER incidenceeditor_debug.h IDENTIFIER INCIDENCEEDITOR_LOG CATEGORY_NAME org.kde.pim.incidenceeditor)

kconfig_add_kcfg_files(incidenceeditors_ng_shared_LIB_SRCS globalsettings_incidenceeditor.kcfgc)

### Build the desktop version

set(incidenceeditors_ng_desktop_LIB_SRCS
  ${incidenceeditors_ng_shared_LIB_SRCS}
  templatemanagementdialog.cpp
  incidencedialogfactory.cpp
  incidencedialog.cpp
  visualfreebusywidget.cpp
)

ki18n_wrap_ui(incidenceeditors_ng_desktop_LIB_SRCS
  ui/categoryeditdialog_base.ui
  ui/categoryselectdialog_base.ui
  ui/categorydialog_base.ui
  ui/template_management_dialog_base.ui
  ui/dialogdesktop.ui
  ui/alarmdialog.ui
  ui/attachmenteditdialog.ui
  ui/schedulingdialog.ui
  ui/resourcemanagement.ui
)

add_library(KF5IncidenceEditor ${incidenceeditors_ng_desktop_LIB_SRCS})
generate_export_header(KF5IncidenceEditor BASE_NAME incidenceeditor)

add_library(KF5::IncidenceEditor ALIAS KF5IncidenceEditor)



target_link_libraries(KF5IncidenceEditor
PUBLIC
  KF5::AkonadiCalendar
  KF5::AkonadiMime
  KF5::CalendarCore
  KF5::CalendarUtils
  KF5::MailTransportAkonadi
  KF5::CalendarSupport      # For KCalPrefs
  KF5::EventViews
PRIVATE
  KGantt              # For FreeBusy Editor
  KF5::LibkdepimAkonadi
  KF5::KdepimDBusInterfaces # For UriHandler
  KF5::Codecs
  KF5::Ldap
  KF5::AkonadiWidgets
  KF5::IconThemes
  KF5::Completion
  KF5::KIOWidgets
  KF5::TextWidgets
  KF5::WidgetsAddons
  KF5::XmlGui
)
target_include_directories(KF5IncidenceEditor INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/IncidenceEditor/;${KDE_INSTALL_INCLUDEDIR_KF5}/incidenceeditor>")
target_include_directories(KF5IncidenceEditor PUBLIC "$<BUILD_INTERFACE:${incidenceeditor_SOURCE_DIR}/src;${incidenceeditor_BINARY_DIR}/src;>")

set_target_properties(KF5IncidenceEditor PROPERTIES
    VERSION ${INCIDENCEEDITOR_VERSION_STRING}
    SOVERSION ${INCIDENCEEDITOR_SOVERSION}
    EXPORT_NAME IncidenceEditor
)

install(TARGETS
    KF5IncidenceEditor
    EXPORT KF5IncidenceEditorTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

ecm_generate_headers(IncidenceEditor_CamelCase_HEADERS
  HEADER_NAMES
  IncidenceDialog
  IncidenceDialogFactory
  IncidenceEditorSettings
  IncidenceDefaults
  IndividualMailComponentFactory
  GroupwareUiDelegate
  EditorItemManager
  IncidenceEditor-Ng
  REQUIRED_HEADERS IncidenceEditor_HEADERS
  PREFIX IncidenceEditor
)

ecm_generate_pri_file(BASE_NAME IncidenceEditor
    LIB_NAME KF5IncidenceEditor
    DEPS "AkonadiCalendar AkonadiMime CalendarCore CalendarUtils MailTransport CalendarSupport EventViews" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/IncidenceEditor
)

install(FILES
    ${IncidenceEditor_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/IncidenceEditor
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/globalsettings_incidenceeditor.h
    ${CMAKE_CURRENT_BINARY_DIR}/incidenceeditor_export.h
    ${IncidenceEditor_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/incidenceeditor
    COMPONENT Devel
)
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})



######
if (BUILD_TESTING)
   add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
 ../
)

set(resourcemanagement_gui_SRCS resourcemanagment_gui.cpp)
add_executable(resourcemanagement_gui ${resourcemanagement_gui_SRCS})
target_link_libraries(resourcemanagement_gui
  Qt5::Core
  Qt5::Gui
  KF5::Mime
  KF5::IncidenceEditor
  KF5::Libkdepim
  KF5::Ldap
)

add_executable(individualmaildialog_test individualmaildialog_test.cpp ../src/individualmaildialog.cpp)
target_link_libraries(individualmaildialog_test
    KF5::IncidenceEditor
)

=== debian/changelog ===
libkf5incidenceeditor (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:05 +0100

libkf5incidenceeditor (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:38 +0100

=== debian/control ===
Source: libkf5incidenceeditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:19.12.3~),
               libkf5calendarutils-dev (>= 4:19.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5eventviews-dev (>= 4:19.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:19.12.3~),
               libkf5ldap-dev (>= 19.12.3~),
               libkf5libkdepim-dev (>= 4:19.12.3~),
               libkf5mailtransport-dev (>= 19.12.3~),
               libkf5mime-dev (>= 19.12.3~),
               libkgantt-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor

Package: libkf5incidenceeditor-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: korganizer (<= 4:16.04)
Replaces: korganizer (<= 4:16.04)
Description: KDE PIM incidence editor
 Incidence editor for KDE PIM.
 .
 This package provides the runtime programs shipped with the library.

Package: libkf5incidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM incidence editor - data files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared libraries.

Package: libkf5incidenceeditor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5akonadicalendar-dev (>= 4:19.12.3~),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5identitymanagement-dev (>= 19.12.3~),
         libkf5incidenceeditor5abi2 (= ${binary:Version}),
         libkf5mailtransport-dev (>= 19.12.3~),
         libkf5mime-dev (>= 19.12.3~),
         libkgantt-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - devel files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkf5incidenceeditor5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5IncidenceEditor
Architecture: any
Multi-Arch: same
Depends: libkf5incidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared libraries.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/incidenceeditor-([\d.]+).tar.xz

## libkf5incidenceeditor 20.08.1

=== debian/changelog ===
libkf5incidenceeditor (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:49:26 +0100

libkf5incidenceeditor (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop depreciated kdepimdbusinterfaces build dep.
  * New build depend on libkf5pimcommon-dev.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:19:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:19.12.3~),
-               libkf5calendarutils-dev (>= 4:19.12.3~),
+               libkf5calendarsupport-dev (>= 4:20.08.1~),
+               libkf5calendarutils-dev (>= 4:20.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
-               libkf5eventviews-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
+               libkf5eventviews-dev (>= 4:20.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:19.12.3~),
-               libkf5ldap-dev (>= 19.12.3~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5mailtransport-dev (>= 19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5ldap-dev (>= 20.08.1~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5mailtransport-dev (>= 20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -53,13 +53,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
-         libkf5akonadicalendar-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
+         libkf5akonadicalendar-dev (>= 4:20.08.1~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
-         libkf5identitymanagement-dev (>= 19.12.3~),
+         libkf5identitymanagement-dev (>= 20.08.1~),
          libkf5incidenceeditor5abi2 (= ${binary:Version}),
-         libkf5mailtransport-dev (>= 19.12.3~),
-         libkf5mime-dev (>= 19.12.3~),
+         libkf5mailtransport-dev (>= 20.08.1~),
+         libkf5mime-dev (>= 20.08.1~),
          libkgantt-dev,
          ${misc:Depends},
          ${shlibs:Depends},
